Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLTI1NDgtcTc0Ni14NXg2

Code injection in port-killer

This affects all versions of package port-killer. If (attacker-controlled) user input is given, it is possible for an attacker to execute arbitrary commands. This is due to use of the child_process exec function without input sanitization. Running this PoC will cause the command touch success to be executed, leading to the creation of a file called success.

Permalink: https://github.com/advisories/GHSA-2548-q746-x5x6
JSON: https://advisories.ecosyste.ms/api/v1/advisories/MDE2OlNlY3VyaXR5QWR2aXNvcnlHSFNBLTI1NDgtcTc0Ni14NXg2
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 3 years ago
Updated: over 1 year ago


CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Identifiers: GHSA-2548-q746-x5x6, CVE-2021-23359
References: Repository: https://github.com/tylerjpeterson/port-killer
Blast Radius: 0.0

Affected Packages

npm:port-killer
Dependent packages: 1
Dependent repositories: 1
Downloads: 25 last month
Affected Version Ranges: <= 1.0.1
No known fixed version
All affected versions: 1.0.0, 1.0.1